describe Orator::Client do
  it "should accept a hash" do
    client = described_class.new :context => 42, :other_thing => 124

    client.context.should be 42
  end

  it "should trigger event with context" do
    client = described_class.new :context => 42, 
      :event_handler => double('event_handler')
    client.event_handler.should_receive(:trigger).with('some.event', 42, 54)
    client.trigger('some.event', 54)
  end
end
