describe Orator::MiddleGround do
  #it "should build a message" do
  #  subje
  #end

  subject { described_class.new(double('client'), nil) }

  it "should build a message" do
    subject.message('some.thing', :data => 'value').should eq(
      "event" => "some.thing", "data" => "value")
  end

  it "should send a message to the client" do
    socket = double('socket')
    socket.should_receive(:send).with('{"event":"some.thing","data":"value"}')
    subject.client.should_receive(:socket).and_return(socket)
    subject.send("event" => "some.thing", "data" => "value")
  end

  it "should maintain a context" do
    expect { subject.some_undefined_method }.to raise_error(NameError)

    subject.some_key = "something"
    subject.some_key.should eq("something")
    subject[:some_key].should be subject.table["some_key"]
    subject.some_key.should be subject[:some_key]
  end
end
